util-dfm (1.3.56) unstable; urgency=medium

  * perf: cache resolved indexed directories to avoid repeated resolution

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 21 May 2026 22:11:26 +0800

util-dfm (1.3.55) unstable; urgency=medium

  * fix(build): detect Qt6 availability when os-version is missing
  * refactor: add file size and checksum fields

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 19 May 2026 20:47:42 +0800

util-dfm (1.3.54) unstable; urgency=medium

  * build: update debian package configuration for search component
  * refactor: centralize PROJECT_VERSION_MAJOR configuration in root CMakeLists
  * feat: add dfm-burner CLI tool for optical disc operations
  * feat: add SM3 checksum verification for disc burning
  * perf: optimize disc checksum verification process
  * fix: include hidden files in checksum manifest generation

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 07 May 2026 20:58:37 +0800

util-dfm (1.3.53) unstable; urgency=medium

  * chore: update SPDX header
  * refactor: optimize file sorting implementation
  * test: enhance file sorting tests with directories and symlinks
  * test: add TextSearchAPI test to test runner

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 23 Apr 2026 17:16:25 +0800

util-dfm (1.3.52) unstable; urgency=medium

  * fix: change content index directory path
  * refactor: centralize Lucene field names in constants
  * feat: add OCR text search support
  * fix: improve path matching logic for content indexing
  * feat: add birth time field name constant
  * refactor: correct field names and add modify_time
  * feat: implement time range filtering for search
  * feat: add CLI options and output formatters for search client
  * feat: enhance search result metadata and output
  * refactor: optimize file search strategy logic
  * chore: update search binary name and installation path
  * refactor: optimize search utility path checking functions
  * refactor: implement Pimpl pattern for TimeRangeFilter class

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 20 Apr 2026 11:23:35 +0800

util-dfm (1.3.51) unstable; urgency=medium

  * chore: reorder GNUInstallDirs include in CMakeLists
  * feat: add Qt Test based unit testing framework
  * test: restructure search test framework and cleanup client
  * chore: remove cpp-stub and stub-ext third-party dependencies
  * fix: filter hidden files in lucene query to prevent result loss

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 10 Apr 2026 16:08:36 +0800

util-dfm (1.3.50) unstable; urgency=medium

  * refactor: add Qt6 compatibility for path splitting
  * fix: preserve URL scheme when building file URLs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 12 Mar 2026 20:14:22 +0800

util-dfm (1.3.49) unstable; urgency=medium

  * chore: update copyright years to 2026
  * feat: add filename blacklist filtering for search index
  * Fix: [file-enumerator] use g_file_enumerator_next_file()

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Mar 2026 19:12:34 +0800

util-dfm (1.3.48) unstable; urgency=medium

  * fix: Don't link boost_system for Boost 1.89+
  * feat: add JSON output option for search client

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Feb 2026 20:12:17 +0800

util-dfm (1.3.47) unstable; urgency=medium

  * feat: add blacklist paths configuration support
  * fix: refine pinyin validation rules

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 02 Feb 2026 11:05:12 +0800

util-dfm (1.3.46) unstable; urgency=medium

  * fix: improve pinyin validation logic
  * fix: remove unnecessary regex check in pinyin acronym detection

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 29 Jan 2026 17:45:22 +0800

util-dfm (1.3.45) unstable; urgency=medium

  * fix: replace g_unix_mount_for with g_unix_mount_at to avoid main thread blocking
  * fix: add timeout for mediainfo retrieval

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 22 Jan 2026 17:38:20 +0800

util-dfm (1.3.44) unstable; urgency=medium

  * feat: improve file rename error handling
  * fix: update DBus service names for Qt6 compatibility
  * refactor: secure password transmission by QDBusUnixFileDescriptor

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 15 Jan 2026 19:30:41 +0800

util-dfm (1.3.43) unstable; urgency=medium

  * refactor: update CMake configuration for Qt6/Qt5 compatibility
  * chore: add boost-system dependency to build system
  * fix: add Qt version compatibility for string splitting
  * chore: refactor debian packaging for qt version compatibility
  * chore: update pkg-config files with versioned library names
  * fix: update dtk dependency version variable
  * fix: correct pkg-config library linking syntax
  * refactor: replace direct method invocation with signal-based communication
  * fix: Add statvfs-based free size calculation in DBlockDevicePrivate::sizeFree
  * Refactor GFile creation and add codec validation for file paths
  * fix: add OperatorsFileUtils for delayed removal of copying file URLs
  * fix: improve symlink handling and file size calculation in DLocalHelper
  * fix: register meta types for search-related classes
  * feat(denumerator): add initEnumerator demo and improve error handling
  * fix: improve path handling and file size detection in dfm-io, merge develop/eagle-20250617 to master

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 25 Dec 2025 13:02:35 +0800

util-dfm (1.3.42) unstable; urgency=medium

  * perf: optimize search cancellation to reduce CPU consumption
  * feat: add index version detection and path query optimization
  * fix: improve search cancellation responsiveness

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 18 Dec 2025 09:52:16 +0800

util-dfm (1.3.41) unstable; urgency=medium

  * feat: implement cancellable search functionality
  * fix: fix crash issues in media info handling

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 11 Dec 2025 18:32:02 +0800

util-dfm (1.3.40) unstable; urgency=medium

  * length of disc filename and paths could be longer.
  * 

 -- XuShitong <xushitong@uniontech.com>  Tue, 25 Nov 2025 16:26:55 +0800

util-dfm (1.3.39) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 16 Oct 2025 19:13:04 +0800

util-dfm (1.3.38) unstable; urgency=medium

  * correct file name comparison logic 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 25 Sep 2025 16:26:12 +0800

util-dfm (1.3.37) unstable; urgency=medium

  * add pinyin acronym search support 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 04 Sep 2025 19:05:56 +0800

util-dfm (1.3.36) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 21 Aug 2025 15:47:19 +0800

util-dfm (1.3.35) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 08 Aug 2025 15:29:22 +0800

util-dfm (1.3.34) unstable; urgency=medium

  * fix double free

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 16 Jul 2025 17:11:25 +0800

util-dfm (1.3.33) unstable; urgency=medium

  * fix some bugs.

 -- Liuyangming <liuyangming@uniontech.com>  Wed, 16 Jul 2025 10:40:31 +0800

util-dfm (1.3.32) unstable; urgency=medium

  * fix sort by filename

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 03 Jul 2025 15:29:50 +0800

util-dfm (1.3.31) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 16:15:42 +0800

util-dfm (1.3.30) unstable; urgency=medium

  * Enhance index availability checks and introduce readiness validation 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 16:51:02 +0800

util-dfm (1.3.29) unstable; urgency=medium

  * feat: Add wildcard search functionality to search query
  * fix: Improve index availability checks in search utility

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 15:11:33 +0800

util-dfm (1.3.28) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Jun 2025 20:03:05 +0800

util-dfm (1.3.27) unstable; urgency=medium

  * dfm-search: optimize search performance and fix dependencies

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 28 May 2025 16:37:42 +0800

util-dfm (1.3.26) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 21 May 2025 18:13:11 +0800

util-dfm (1.3.25) unstable; urgency=medium

  * refactor searchWithCallback

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 16 May 2025 15:04:02 +0800

util-dfm (1.3.24) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 15 May 2025 20:58:39 +0800

util-dfm (1.3.23) unstable; urgency=medium

  * Implement extended AND search behavior for filename and content fields

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 13 May 2025 15:41:21 +0800

util-dfm (1.3.22) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 12 May 2025 16:50:57 +0800

util-dfm (1.3.21) unstable; urgency=medium

  * Introduce DConfig-based dynamic file handling, enhance Lucene query processing, improve keyword highlighting, and add search timeout configuration. 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 09 May 2025 17:15:59 +0800

util-dfm (1.3.20) unstable; urgency=medium

  * install dfm6-search-client

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 08 May 2025 12:00:31 +0800

util-dfm (1.3.19) unstable; urgency=medium

  * add new interface `fileNameIndexStatus`

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 29 Apr 2025 17:55:09 +0800

util-dfm (1.3.18) unstable; urgency=medium

  * FileNameRealTimeStrategy 
  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Sun, 27 Apr 2025 17:24:58 +0800

util-dfm (1.3.17) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 25 Apr 2025 12:49:54 +0800

util-dfm (1.3.16) unstable; urgency=medium

  * feat: Optimize dfm-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 22 Apr 2025 11:51:27 +0800

util-dfm (1.3.15) unstable; urgency=medium

  * feat: Impl dfm-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 10 Apr 2025 16:19:41 +0800

util-dfm (1.3.14) unstable; urgency=medium

  * fix: Update DBlockMonitorPrivate destructor to use deleteLater for watcher

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 17:15:50 +0800

util-dfm (1.3.13) unstable; urgency=medium

  * fix bug

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 16:04:11 +0800

util-dfm (1.3.12) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Mar 2025 21:06:37 +0800

util-dfm (1.3.11) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 11 Mar 2025 13:33:33 +0800

util-dfm (1.3.10) unstable; urgency=medium

  * Remove all Qt5

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 03 Mar 2025 19:21:35 +0800

util-dfm (1.3.9) unstable; urgency=medium

  * fix cifs password save issue
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 26 Dec 2024 15:42:14 +0800

util-dfm (1.3.8) unstable; urgency=medium

  * fix bugs

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 13 Dec 2024 17:27:19 +0800

util-dfm (1.3.7) unstable; urgency=medium

  * Update pattern from "^/media/(.*)/smbmounts" to "^/(?:run/)?media/(.*)/smbmounts"

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 10 Dec 2024 20:28:48 +0800

util-dfm (1.3.6) unstable; urgency=medium

  * Support Block::Configuration field.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 05 Dec 2024 20:17:19 +0800

util-dfm (1.3.5) unstable; urgency=medium

  * update version 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 02 Dec 2024 17:42:32 +0800

util-dfm (1.3.4) unstable; urgency=medium

  * Qt6 supported
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 20 Sep 2024 18:04:31 +0800

util-dfm (1.3.3) unstable; urgency=medium

  * update version to 1.3.3.
  *

 -- LiYiGang <liyigang1@uniontech.com>  Tues, 3 Sep 2024 14:48:06 +0800

util-dfm (1.3.2) unstable; urgency=medium

  * update version to 1.3.2.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 25 Jul 2024 15:56:06 +0800

util-dfm (1.3.1) unstable; urgency=medium

  * update version to 1.3.1


 -- liujinchang <liujinchang@uniontech.com>  Wed, 10 Jul 2024 11:34:25 +0800

util-dfm (1.3.0) unstable; urgency=medium

  * v25

 -- liujinchang <liujinchang@uniontech.com>  Tue, 02 Jul 2024 15:06:32 +0800

util-dfm (1.2.24) unstable; urgency=medium

  * a new attribute is added.
  * 

 -- xushitong <xushitong@uniontech.com>  Tue, 07 May 2024 16:16:26 +0800

util-dfm (1.2.23) unstable; urgency=medium

  * update version to 1.2.23

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 27 Mar 2024 16:44:16 +0800

util-dfm (1.2.22) unstable; urgency=medium

  * update version to 1.2.22

 -- zhangsheng <zhangsheng@uniontech.com>  Mon, 19 Feb 2024 14:11:20 +0800

util-dfm (1.2.21) unstable; urgency=medium

  * update version to 1.2.21

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Jan 2024 14:32:16 +0800

util-dfm (1.2.20) unstable; urgency=medium

  * update version to 1.2.20

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 28 Dec 2023 11:27:33 +0800

util-dfm (1.2.19) unstable; urgency=medium

  * update version to 1.2.19

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 20 Dec 2023 14:48:05 +0800

util-dfm (1.2.18) unstable; urgency=medium

  * update version to 1.2.18

 -- lvwujun <lvwujun@uniontech.com>  Thur, 2 Nov 2023 11:19:21 +0800

util-dfm (1.2.17) unstable; urgency=medium

  * update version to 1.2.17

 -- lvwujun <lvwujun@uniontech.com>  Fri, 20 Oct 2023 15:21:22 +0800

util-dfm (1.2.16) unstable; urgency=medium

  * update version to 1.2.16

 -- lvwujun <lvwujun@uniontech.com>  Fri, 1 Sep 2023 10:21:12 +0800

util-dfm (1.2.15) unstable; urgency=medium

  * update version to 1.2.15

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 24 Aug 2023 10:25:59 +0800

util-dfm (1.2.14) unstable; urgency=medium

  * update version to 1.2.14

 -- lvwujun <lvwujun@uniontech.com>  Fri, 4 Aug 2023 14:48:12 +0800

util-dfm (1.2.13) unstable; urgency=medium

  * update version to 1.2.13

 -- lvwujun <lvwujun@uniontech.com>  Tue, 1 Aug 2023 14:48:12 +0800

util-dfm (1.2.12) unstable; urgency=medium

  * update version to 1.2.12

 -- lvwujun <lvwujun@uniontech.com>  Wed, 28 June 2023 10:47:21 +0800

util-dfm (1.2.11) unstable; urgency=medium

  * update version to 1.2.11

 -- lvwujun <lvwujun@uniontech.com>  Wed, 07 June 2023 15:57:07 +0800

util-dfm (1.2.10) unstable; urgency=medium

  * update version.
  *

 --lvwujun <lvwujun@uniontech.com>  Thur, 31 May 2023 15:09:45 +0800

util-dfm (1.2.9) unstable; urgency=medium

  * update version.
  *

 --lvwujun <lvwujun@uniontech.com>  Fri, 28 Apr 2023 11:09:45 +0800

util-dfm (1.2.8) unstable; urgency=medium

  * update version.

 -- lvwujun <lvwujun@uniontech.com>  Thur, 13 April 2023 15:16:29 +0800

util-dfm (1.2.6) unstable; urgency=medium

  * update version.

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 10 Mar 2023 16:29:38 +0800

util-dfm (1.2.5) unstable; urgency=medium

  * update version.
  * 

 -- xust <xushitong@uniontech.com>  Mon, 16 Jan 2023 16:58:38 +0800

util-dfm (1.2.3) stable; urgency=high

  * update V6 6.0.7 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 04 Jan 2023 17:26:29 +0800

util-dfm (1.2.1.2) unstable; urgency=high

  * update V6 6.0.6.2 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Tue, 06 Dec 2022 13:51:08 +0800

util-dfm (1.2.1) unstable; urgency=high

  * update V6 6.0.6 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Thu, 24 Nov 2022 11:24:08 +0800

util-dfm (1.2.0) unstable; urgency=high

  * update V6 6.0.4 baseline version

 -- LanXuesong <lanxuesong@uniontech.com>  Tue, 01 Nov 2022 11:25:00 +0800

util-dfm (1.1.2) unstable; urgency=high

  * update V6 6.0.4 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 20 Oct 2022 17:39:08 +0800

util-dfm (1.1.1) unstable; urgency=high

  * update V6 6.0.2 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 14 Sep 2022 14:50:58 +0800

util-dfm (1.1.0) unstable; urgency=low

  * Initial release for v23

 -- ZhangSheng <zhangsheng@uniontech.com>  Wed, 22 Jun 2022 09:44:40 +0000

util-dfm (1.0.0) unstable; urgency=medium

  * Initial release

 -- lanxs<lanxuesong@uniontech.com>  Mon, 16 Aug 2021 13:22:42 +0800
